# Uncertainty Quantification with Pre-trained Language Models: An Empirical Analysis


## Results

**results.pkl** is a dictionary:
- The key is in the format of `({task}, {model}, {quantifier}, {domain}, {metric})`.
    - `{task}` can be chosen from `Sentiment Analysis`, `Natural Language Inference`, and `Commonsense Reasoning`.
    - `{model}` can be chosen from `bert_base-br`, `bert_base-ce`, `bert_base-fl`, `bert_base-ls`, `bert_base-mm`, `bert_large-ce`, `deberta_base-ce`, `deberta_large-ce`, `electra_base-ce`, `electra_large-ce`, `roberta_base-ce`, `roberta_large-ce`, `xlnet_base-ce`, and `xlnet_large-ce`.
    - `{quantifier}` can be chosen from `Vanilla`, `Temp Scaling`, `MC Dropout`, `Ensemble`, and `LL SVI`.
    - `{domain}` can be chosen from `test_in` and `test_out`.
    - `{metric}` can be chosen from `ERR`, `ECE`, `RPP`, and `FAR95`. Note that `FAR95` only works with the domain setting of `test_out`.
- The value is in the format of `(mean, standard error)`, which are calculated based on six trials with different seeds.